Package org.springframework.context

# Interface Phased

All Known Subinterfaces:
  `SmartLifecycle`

All Known Implementing Classes:
  `ExecutorConfigurationSupport`, `ScheduledExecutorFactoryBean`, `SimpleAsyncTaskScheduler`, `ThreadPoolExecutorFactoryBean`, `ThreadPoolTaskExecutor`, `ThreadPoolTaskScheduler`

public interface Phased
Interface for objects that may participate in a phased process such as lifecycle management.

Since:
  3.0
Author:
  Mark Fisher
See Also:
  - `SmartLifecycle`

## Method Summary

Modifier and Type
Method
Description
`int`
`getPhase()`
Return the phase value of this object.

## Method Details

### getPhase

int getPhase()
Return the phase value of this object.